> For the complete documentation index, see [llms.txt](https://docs.jetadmin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jetadmin.io/classic-app-builder/component-designer/pixel-perfect-app/binding-data.md).

# Binding data

Discover how to pass and bind the data with elements

To pass and bind simple data with the elements, follow the steps:

1. Click on the **Gallery**
2. Click on the `Property card`
3. Click on the `Change Data Binding`
4. Pass the corresponding **Data** for each of the **Custom Componen**ts.&#x20;
5. Click `Use Selected Binding` for saving.

{% @arcade/embed flowId="W1tBfHOyhfPBZvQ6y3GW" url="<https://app.arcade.software/share/W1tBfHOyhfPBZvQ6y3GW>" %}

To pass and bind data with the elements using **Functions**, follow the steps:

1. Click on the **Gallery**
2. Click on the `Property card`
3. Click on the `Change Data Binding`
4. Click on the `Set up with Formula` button
5. Click to search for the **formula** – `CONCAT`
6. Choose the fields: `first_name` and `last_name` – you want to concatenate: CONCAT(`first_name``, last_name`)
7. Click on the `Use selected binding` for saving it

{% @arcade/embed flowId="A60qQRej2ZicsofcqrDI" url="<https://app.arcade.software/share/A60qQRej2ZicsofcqrDI>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jetadmin.io/classic-app-builder/component-designer/pixel-perfect-app/binding-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
